package ormTests;

import java.util.List;

import org.hibernate.Session;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import orm.TestClass;

import utils.HibernateUtils;

public class TestClassTest {
	
	@BeforeClass
	public static void setUp() throws Exception {
        HibernateUtils.getSessionFactory();
	}
	@AfterClass
	public static void tearDown() throws Exception {
		HibernateUtils.shutdown();
	}
	
	@Test
	public void test1()
	{
		Session session = HibernateUtils.getSessionFactory().openSession();
		session.beginTransaction();
		session.save( new TestClass( "Content1", "Content2") );
		session.getTransaction().commit();
		session.close();	
	}
	
	@Test
	public void test2()
	{
		Session session = HibernateUtils.getSessionFactory().openSession();
		session.beginTransaction();
		List result = session.createQuery( "from TestClass" ).list();
		for ( TestClass c : (List<TestClass>) result ) {
			System.out.println( "Test Class (" + c.getField1() + ") : " + c.getField2() );
		}
        session.getTransaction().commit();
        session.close();	
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
}
