package ormTests;

import static org.junit.Assert.*;

import java.util.Date;
import java.util.List;

import org.hibernate.Session;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import orm.TestClass;
import orm.TestClass2;
import utils.HibernateUtils;

public class TestClass2Test {
	
	@BeforeClass
	public static void setUp() throws Exception {
        HibernateUtils.getSessionFactory();
	}
	@AfterClass
	public static void tearDown() throws Exception {
		HibernateUtils.shutdown();
	}
	
	@Test
	public void test1()
	{
		Session session = HibernateUtils.getSessionFactory().openSession();
		session.beginTransaction();
		session.save( new TestClass2( "Content1", new Date("01/01/1928")) );
		session.getTransaction().commit();
		session.close();	
	}
	
	@Test
	public void test2()
	{
		Session session = HibernateUtils.getSessionFactory().openSession();
		session.beginTransaction();
		List result = session.createQuery( "from TestClass2" ).list();
		for ( TestClass2 c : (List<TestClass2>) result ) {
			System.out.println( "Test Class2 (" + c.getField3() + ") : " + c.getField4() );
		}
        session.getTransaction().commit();
        session.close();	
	}
}
